%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api		2
%define major		0
%define libname		%mklibname xfce4ui %{api} %{major}

%define apikbd		3
%define majorkbd	0
%define libnamekbd	%mklibname xfce4kbd-private %{apikbd} %{majorkbd}

%define gmajor		2.0
%define girname		%mklibname xfce4ui-gir %{gmajor}

%define develname	%mklibname xfce4ui %{api} -d

Summary:	Various Xfce widgets for Xfce desktop environment
Name:		libxfce4ui
Version: 	4.18.6
Release: 	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/libxfce4ui/%{url_ver}/%{name}-%{version}.tar.xz
#
BuildRequires:	git
BuildRequires:	xfce4-dev-tools
BuildRequires:  vala-devel
BuildRequires:	intltool
BuildRequires:	lib64xfconf-devel
BuildRequires:  lib64glib2.0-devel
BuildRequires:  lib64gtk+3.0-devel
BuildRequires:  lib64gladeui2-devel
BuildRequires:  lib64girepository-devel
BuildRequires:  lib64gtop2.0-devel
BuildRequires:  lib64startup-notification-1-devel
BuildRequires:  lib64sm-devel
Obsoletes: %{name}-doc

%description
Various Xfce widgets for Xfce desktop environment.

%package -n %{libname}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/XFCE
Obsoletes:  lib64xfce4ui1_0
Obsoletes:  xfbib
Requires:	%{name}

%description -n %{libname}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{libnamekbd}
Summary:	GTK3 GUI libraries for Xfce
Group:		Graphical desktop/XFCE

%description -n %{libnamekbd}
GTK3 GUI libraries for Xfce desktop environment.

%package -n %{name}-glade
Summary:	Glade (GTK+3) modules for %{name}
Group:		Graphical desktop/XFCE
Requires:	glade
Requires:   %{name}

%description -n %{name}-glade
This package provides a catalog for Glade (GTK+3) which allows the use of the
provided Xfce widgets in Glade.

%package -n %{develname}
Summary:	Development files and headers for the %{name} library using GTK3
Group:		Graphical desktop/XFCE
Obsoletes:  %{name}-devel
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamekbd} = %{version}-%{release}
Requires:	%{name}

%description -n %{develname}
Development files and headers for the %{name} library using GTK3.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x \
	--with-vendor-info=PCLinuxOS \
	--disable-static \
	--enable-startup-notification \
	--enable-gladeui2 \
	--enable-introspection \
   --disable-gtk-doc

%make_build

%install
rm -rf %buildroot
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

#put this in config pkg
rm -rf %{buildroot}/%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml

%files
%{_bindir}
%{_datadir}

%files -n %{libname}
%{_libdir}/libxfce4ui-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/Libxfce4ui-%{gmajor}.typelib

%files -n %{libnamekbd}
%{_libdir}/libxfce4kbd-private-%{apikbd}.so.%{majorkbd}*

%files -n %{name}-glade
%{_libdir}/glade/modules/libxfce4uiglade2.so
%{_datadir}/glade/catalogs/libxfce4ui-2.xml
%{_datadir}/glade/pixmaps/hicolor/*/*/*%{name}*.png

%files -n %{develname}
%{_libdir}/pkgconfig/libxfce4kbd-private-%{apikbd}.pc
%{_libdir}/pkgconfig/libxfce4ui-%{api}.pc
%{_libdir}/libxfce4ui-%{api}.so
%{_libdir}/libxfce4kbd-private-%{apikbd}.so
%{_includedir}/xfce4/libxfce4ui-%{api}/
%{_includedir}/xfce4/libxfce4kbd-private-%{apikbd}/
%{_datadir}/gir-1.0/Libxfce4ui-%{gmajor}.gir
%{_datadir}/vala/vapi/libxfce4ui-2.deps
%{_datadir}/vala/vapi/libxfce4ui-2.vapi

%changelog
* Sun Mar 24 2024 tex - 4.18.6-1pclos2024
- new version

* Tue Feb 06 2024 tex - 4.18.5-1pclos2024
- new version

* Wed May 31 2023 tex - 4.18.4-1pclos2023
- new version

* Wed Mar 29 2023 tex - 4.18.3-1pclos2023
- new version

* Thu Feb 09 2023 tex - 4.18.2-1pclos2023
- new version

* Fri Jan 06 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.9-1pclos2022
 - prepare for 4,18 final
